Package org.apache.jasper.compiler

## Class JspConfig.JspProperty

- java.lang.Object
- - org.apache.jasper.compiler.JspConfig.JspProperty

Enclosing class:
  JspConfig

    public static class JspConfig.JspProperty
    extends java.lang.Object

### Constructor Summary

Constructors

`JspProperty​(java.lang.String isXml, java.lang.String elIgnored, java.lang.String scriptingInvalid, java.lang.String pageEncoding, java.util.Collection<java.lang.String> includePrelude, java.util.Collection<java.lang.String> includeCoda, java.lang.String deferedSyntaxAllowedAsLiteral, java.lang.String trimDirectiveWhitespaces, java.lang.String defaultContentType, java.lang.String buffer, java.lang.String errorOnUndeclaredNamespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBuffer()`
`java.lang.String` `getDefaultContentType()`
`java.util.Collection<java.lang.String>` `getIncludeCoda()`
`java.util.Collection<java.lang.String>` `getIncludePrelude()`
`java.lang.String` `getPageEncoding()`
`java.lang.String` `isDeferedSyntaxAllowedAsLiteral()`
`java.lang.String` `isELIgnored()`
`java.lang.String` `isErrorOnUndeclaredNamespace()`
`java.lang.String` `isScriptingInvalid()`
`java.lang.String` `isTrimDirectiveWhitespaces()`
`java.lang.String` `isXml()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspProperty

    public JspProperty​(java.lang.String isXml,
                       java.lang.String elIgnored,
                       java.lang.String scriptingInvalid,
                       java.lang.String pageEncoding,
                       java.util.Collection<java.lang.String> includePrelude,
                       java.util.Collection<java.lang.String> includeCoda,
                       java.lang.String deferedSyntaxAllowedAsLiteral,
                       java.lang.String trimDirectiveWhitespaces,
                       java.lang.String defaultContentType,
                       java.lang.String buffer,
                       java.lang.String errorOnUndeclaredNamespace)

### Method Detail

#### isXml

    public java.lang.String isXml()

#### isELIgnored

    public java.lang.String isELIgnored()

#### isScriptingInvalid

    public java.lang.String isScriptingInvalid()

#### getPageEncoding

    public java.lang.String getPageEncoding()

#### getIncludePrelude

    public java.util.Collection<java.lang.String> getIncludePrelude()

#### getIncludeCoda

    public java.util.Collection<java.lang.String> getIncludeCoda()

#### isDeferedSyntaxAllowedAsLiteral

    public java.lang.String isDeferedSyntaxAllowedAsLiteral()

#### isTrimDirectiveWhitespaces

    public java.lang.String isTrimDirectiveWhitespaces()

#### getDefaultContentType

    public java.lang.String getDefaultContentType()

#### getBuffer

    public java.lang.String getBuffer()

#### isErrorOnUndeclaredNamespace

    public java.lang.String isErrorOnUndeclaredNamespace()